## ros-jazzy-image-publisher 5.0.1

=== debian/changelog ===
ros-jazzy-image-publisher (5.0.1-3bookworm) bookworm; urgency=high

  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * add docs for image_rotate/publisher (#936 <https://github.com/ros-perception/image_pipeline/issues/936>)
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-jazzy-image-publisher (5.0.0-3bookworm) bookworm; urgency=high

  * Removed cfg files related with ROS 1 parameters (#911 <https://github.com/ros-perception/image_pipeline/issues/911>)
    Removed cfg files related with ROS 1 parameters
  * ROS 2: Fixed CMake (#899 <https://github.com/ros-perception/image_pipeline/issues/899>)
  * image_publisher: functional component (#861 <https://github.com/ros-perception/image_pipeline/issues/861>)
    * filename now functions when using a component
    * parameter callback gets called at startup when using the component
    * cleanup a bit of the logging
    * add launch file to test component more easily
  * properly remap compressed topics (#851 <https://github.com/ros-perception/image_pipeline/issues/851>)
    ## Before:
    Pushing into namespace is broken, only image_raw changes (camera_info
    and transport topics should change):
    ```
    ros2 run image_publisher image_publisher_node --ros-args -p filename:=test.png -r image_raw:=foo/image_raw
    ---
    ros2 topic list
    /camera_info
    /foo/image_raw
    /image_raw/compressed
    /image_raw/compressedDepth
    /image_raw/theora
    ```
    ## After:
    Pushing into namespace now works:
    ```
    ros2 run image_publisher image_publisher_node --ros-args -p filename:=test.png -r image_raw:=foo/image_raw
    ---
    ros2 topic list
    /foo/camera_info
    /foo/image_raw
    /foo/image_raw/compressed
    /foo/image_raw/compressedDepth
    /foo/image_raw/theora
    ```
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * Contributors: Alejandro Hernández Cordero, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-image-publisher (3.0.1-3bookworm) bookworm; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Contributors: Jacob Perron

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 23:00:00 -0000

ros-jazzy-image-publisher (3.0.0-3bookworm) bookworm; urgency=high

  * Cleanup image_publisher.
  * image_publisher: Fix out_img timestamp for using with sim time (#735 <https://github.com/ros-perception/image_pipeline/issues/735>)
  * Add retry video capture feature with timeout
  * changes per comments
  * fix for stereo_image_proc_tests
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Contributors: Ashwin Sushil, Chris Lalancette, Jacob Perron, Nikita Stolyarov, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-image-publisher (2.2.1-3bookworm) bookworm; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy][Image Publisher] Update launch file (#579 <https://github.com/ros-perception/image_pipeline/issues/579>)
    Co-authored-by: louis <mailto:louis.tran@otsaw.com>
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
    * Fixing version and maintainer problems in camera_calibration.
    * Applying ament_auto macros to depth_image_proc.
    * Cleaning up package.xml in image_pipeline.
    * Applying ament_auto macros to image_proc.
    * Applying ament_auto macros to image_publisher.
    * Applying ament_auto macros to image_rotate.
    * Applying ament_auto macros to image_view.
    * Replacing some deprecated headers in image_view.
    * Fixing some build warnings in image_view.
    * Applying ament_auto macros to stereo_image_proc.
    * Adding some linter tests to image_pipeline.
    * Updating package URLs to point to ROS Index.
  * Contributors: Joshua Whitley, Steve Macenski, trthanhquang

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000

ros-jazzy-image-publisher (2.2.0-3bookworm) bookworm; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
    * Replacing deprecated header includes with new HPP versions.
    * CI: Switching to official Foxy Docker container.
    * Fixing headers which don't work correctly.
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    It is no longer used at all in image_view.
    * Reinstate OpenCV 3 compatibility.
    While Foxy only supports Ubuntu 20.04 (and hence OpenCV 4),
    we still strive to maintain Ubuntu 18.04 (which has OpenCV 3).
    In this case, it is trivial to keep keep image_pipeline working
    with OpenCV 3, so reintroduce compatibility with it.
    * Fixes from review.
    * One more fix.
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Remove redundant install call in CMakeLists.txt (#555 <https://github.com/ros-perception/image_pipeline/issues/555>)
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley, sgvandijk

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 22:00:00 -0000


