=== debian/control ===
Source: ros-jazzy-image-publisher
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake-auto, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-camera-info-manager, ros-jazzy-cv-bridge, ros-jazzy-image-transport, ros-jazzy-rcl-interfaces, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-ros-workspace
Homepage: https://index.ros.org/p/image_publisher/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-jazzy-image-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-camera-info-manager, ros-jazzy-cv-bridge, ros-jazzy-image-transport, ros-jazzy-rcl-interfaces, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-ros-workspace
Description: Contains a node publish an image stream from single image file or avi motion file.
