## ros-jazzy-image-publisher 5.0.4

=== debian/changelog ===
ros-jazzy-image-publisher (5.0.4-1bookworm) bookworm; urgency=high

  * Finish QoS updates (backport #1019 <https://github.com/ros-perception/image_pipeline/issues/1019>) (#1024 <https://github.com/ros-perception/image_pipeline/issues/1024>)
    This implements the remainder of #847 <https://github.com/ros-perception/image_pipeline/issues/847>:
    - Make sure publishers default to system defaults (reliable)
    - Add QoS overriding where possible (some of the image_transport /
    message_filters stuff doesn't really support that)
    - Use the matching heuristic for subscribers consistently
  * Contributors: mergify[bot]

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-jazzy-image-publisher (5.0.3-1bookworm) bookworm; urgency=high

  * [jazzy] image_publisher: Fix loading of the camera info parameters on startup (backport #983 <https://github.com/ros-perception/image_pipeline/issues/983>) (#995 <https://github.com/ros-perception/image_pipeline/issues/995>)
    As described in
    https://github.com/ros-perception/image_pipeline/issues/965 camera info
    is not loaded from the file on node initialization, but only when the
    parameter is reloaded.
    This PR resolves this issue and should be straightforward to port it to
    Humble, Iron and Jazzy.<hr>This is an automatic backport of pull
    request #983 <https://github.com/ros-perception/image_pipeline/issues/983> done by [Mergify](https://mergify.com).
    Co-authored-by: Krzysztof Wojciechowski <mailto:49921081+Kotochleb@users.noreply.github.com>
  * image_publisher: Fix image, constantly flipping when static image is published (backport #986 <https://github.com/ros-perception/image_pipeline/issues/986>) (#987 <https://github.com/ros-perception/image_pipeline/issues/987>)
    Continuation of
    https://github.com/ros-perception/image_pipeline/pull/984.
    When publishing video stream from a camera, the image was flipped
    correctly. Yet for a static image, which was loaded once, the flip
    function was applied every time ImagePublisher::doWork() was called,
    resulting in the published image being flipped back and forth all the
    time.
    This PR should be straightforward to port it to Humble, Iron and
    Jazzy.<hr>This is an automatic backport of pull request #986 <https://github.com/ros-perception/image_pipeline/issues/986> done by
    [Mergify](https://mergify.com).
    Co-authored-by: Krzysztof Wojciechowski <mailto:49921081+Kotochleb@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * [jazzy] image_publisher: add field of view parameter (backport #985 <https://github.com/ros-perception/image_pipeline/issues/985>) (#992 <https://github.com/ros-perception/image_pipeline/issues/992>)
    Currently, the default value for focal length when no camera info is
    provided defaults to 1.0 rendering whole approximate intrinsics and
    projection matrices useless. Based on [this
    article](https://learnopencv.com/approximate-focal-length-for-webcams-and-cell-phone-cameras/),
    I propose a better approximation of the focal length based on the field
    of view of the camera.
    For most of the use cases, users will either know the field of view of
    the camera the used, or they already calibrated it ahead of time.
    If there is some documentation to fill. please let me know.
    This PR should be straightforward to port it to Humble, Iron and
    Jazzy.
    <hr>This is an automatic backport of pull request #985 <https://github.com/ros-perception/image_pipeline/issues/985> done by
    [Mergify](https://mergify.com).
    Co-authored-by: Krzysztof Wojciechowski <mailto:49921081+Kotochleb@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 15 Jul 2024 16:00:00 -0000

ros-jazzy-image-publisher (5.0.2-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 May 2024 16:00:00 -0000

ros-jazzy-image-publisher (5.0.1-1bookworm) bookworm; urgency=high

  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * add docs for image_rotate/publisher (#936 <https://github.com/ros-perception/image_pipeline/issues/936>)
  * Contributors: Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 16:00:00 -0000

ros-jazzy-image-publisher (5.0.0-1bookworm) bookworm; urgency=high

  * Removed cfg files related with ROS 1 parameters (#911 <https://github.com/ros-perception/image_pipeline/issues/911>)
    Removed cfg files related with ROS 1 parameters
  * ROS 2: Fixed CMake (#899 <https://github.com/ros-perception/image_pipeline/issues/899>)
  * image_publisher: functional component (#861 <https://github.com/ros-perception/image_pipeline/issues/861>)
    * filename now functions when using a component
    * parameter callback gets called at startup when using the component
    * cleanup a bit of the logging
    * add launch file to test component more easily
  * properly remap compressed topics (#851 <https://github.com/ros-perception/image_pipeline/issues/851>)
    ## Before:
    Pushing into namespace is broken, only image_raw changes (camera_info
    and transport topics should change):
    ```
    ros2 run image_publisher image_publisher_node --ros-args -p filename:=test.png -r image_raw:=foo/image_raw
    ---
    ros2 topic list
    /camera_info
    /foo/image_raw
    /image_raw/compressed
    /image_raw/compressedDepth
    /image_raw/theora
    ```
    ## After:
    Pushing into namespace now works:
    ```
